Imagemagick 6.0.6 @ vBulletin 3.5

Discussion in 'Install/Configuration' started by Irulusug, Sep 12, 2006.

  1. Irulusug

    Irulusug New Member

    Hi!

    Maybe this is not the correct forum, but the problem occurs only on the litespeed server.

    I started preparing a relocation of our vBulletin forum from a apache svr to a litespeed svr. Everything runs smooth and fine but the captcha image verification.
    We are using imagemagick because GD is already "hacked". The problem is quite simple, the image doesnt render while GD works.

    I raised the log level to debug but without any errors.

    Any Ideas?

    Thanks for your help!

    Christoph Klempau
    Last edited: Sep 12, 2006
  2. mistwang

    mistwang LiteSpeed Staff

    I think you may need to build your own PHP binary with similar options like that of apache mod_php, if you have not done so yet. How to is available in our Wiki.
  3. Irulusug

    Irulusug New Member

    Thats what Ive done. I followed your wiki.
  4. mistwang

    mistwang LiteSpeed Staff

    OK, good.
    Please double check the php.ini, make sure the same configuration as that of Apache has been used.
  5. Irulusug

    Irulusug New Member

    Ive just recompiled with the following settings:

    PHP:
    ./configure --prefix=/usr/local/php5 --with-litespeed --with-config-file-path=../conf --with-openssl --with-curl --with-zlib --with-mysql --with-mysqli --with-mm --with-pear --enable-wddx --enable-mbstring --with-gd --with-freetype-dir=/usr --with-ttf --enable-inline-optimization
    Is there anything on LT side which is able to deny the use of IM or any external application?
  6. mistwang

    mistwang LiteSpeed Staff

    IM does not relate to LSWS directly, as it is called by PHP as a shell command. It should be OK if "process limit" for lsphp external application has not been set too low.
    You can check lsws/logs/stderr.log and lsws/logs/error.log for runtime errors produced by PHP or IM, if any.
  7. Irulusug

    Irulusug New Member

    I fixed the problem. I recompiled the IM pkg from scratch with source of its website. Its seems that VB doesnt like the debian sarge IM pkg.

    Thanks for your help!

Share This Page